complexType "LegAmount"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 7 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (currency? | determinationMethod? | currencyReference?)?, (referenceAmount? | formula? | encodedDescription?), calculationDates?
</...>

Content Model Elements (7):

  calculationDates (defined in LegAmount complexType),
  currency (defined in CurrencyAndDeterminationMethod.model group),
  currencyReference,
  determinationMethod (defined in CurrencyAndDeterminationMethod.model group),
  encodedDescription,
  formula (defined in LegAmount complexType),
  referenceAmount

Known Direct Subtypes (1):

  ReturnSwapAmount

All Direct / Indirect Based Elements (2):

  amount (in returnLeg), | interestAmount

Known Usage Locations

- In derivations of other global types (1):
  ReturnSwapAmount (as extension base)
- As direct type of elements (1):
  interestAmount

Annotation
A type describing the amount that will paid or received on each of the payment dates. This type is used to define both the Equity Amount and the Interest Amount.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="LegAmount"> <xsd:sequence> <xsd:group minOccurs="0" ref="CurrencyAndDeterminationMethod.model"/> <xsd:choice> <xsd:element minOccurs="0" name="referenceAmount" type="ReferenceAmount"/> <xsd:element minOccurs="0" name="formula" type="Formula"/> <xsd:element minOccurs="0" name="encodedDescription" type="xsd:base64Binary"/> </xsd:choice> <xsd:element minOccurs="0" name="calculationDates" type="AdjustableRelativeOrPeriodicDates"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/7)
calculationDates

  Type: | AdjustableRelativeOrPeriodicDates, complex content

  Specifies the date on which a calculation or an observation will be performed for the purpose of defining the Equity Amount, and in accordance to the definition terms of this latter.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationDates" type="AdjustableRelativeOrPeriodicDates"/>

encodedDescription

  Type: | xsd:base64Binary, predefined, simple content

  Description of the leg amount when represented through an encoded image.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="encodedDescription" type="xsd:base64Binary"/>

formula

  Type: | Formula, complex content

  Specifies a formula, with its description and components.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="formula" type="Formula"/>

referenceAmount

  Type: | ReferenceAmount, simple content

  Specifies the reference Amount when this term either corresponds to the standard ISDA Definition (either the 2002 Equity Definition for the Equity Amount, or the 2000 Definition for the Interest Amount), or points to a term defined elsewhere in the swap document.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="referenceAmount" type="ReferenceAmount"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.